mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(true)

Not all combinations of and describe valid PE file types. is the set of combinations of and that describe valid PE file types for managed code.

Identifies the processor and bits-per-word of the platform targeted by an executable.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.ProcessorArchitecture

  A 64-bit AMD processor only.

- Field
  4.0.0.0
  System.Reflection.ProcessorArchitecture

  An ARM processor.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.ProcessorArchitecture

  A 64-bit Intel processor only.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.ProcessorArchitecture

  Neutral with respect to processor and bits-per-word.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.ProcessorArchitecture

  An unknown or unspecified combination of processor and bits-per-word.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.ProcessorArchitecture

  A 32-bit Intel processor, either native or in the Windows on Windows environment on a 64-bit platform (WOW64).